[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tvector3_single): Tvector4_single

Allow assignment of three-dimensional single precision vector to four-dimensional single precision vector

## Declaration

Source position: matrix.pp line 315

`operator operator :=(Tvector3_single): Tvector4_single(`
`const v: Tvector3_single`
`):Tvector4_single;`

## Description

This operator allows you to use a three-dimensional vector with single precision values wherever a four-dimensional vector with single precision is expected. The fourth dimension is set to 0.

Documentation generated on: Feb 26 2014